package com.ruoyi.system.domain.projectV2;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 招商引资_投产信息对象 zsyz_tcxx
 * 
 * @author boman
 * @date 2023-02-22
 */
public class ZsyzTcxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    //@Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    //@Excel(name = "项目编号")
    private String xmbh;

    /**
     * 项目线索名称
     */
    private String xmxsmc;

    public String getXmxsmc() {
        return xmxsmc;
    }

    public void setXmxsmc(String xmxsmc) {
        this.xmxsmc = xmxsmc;
    }
    /** 项目名称 */
    //@Excel(name = "项目名称")
    private String xmmc;

    /** 投产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tcrq;

    /** 入规(限)时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入规(限)时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rgsj;

    /** 拟入规(限)时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟入规(限)时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nrgsj;

    /** 投产跟进人手机号 */
    @Excel(name = "投产跟进人手机号")
    private String tcgjrsjh;

    /** 实际到资额（万元） */
    @Excel(name = "实际到资额（万元）" )
    private String sjdze;

    /** 用地面积（亩） */
    @Excel(name = "用地面积（亩）")
    private String ydmj;

    /** 土地出让（万元） */
    @Excel(name = "土地出让（万元）")
    private String tdcr;

    /** 新建厂房（平方米） */
    @Excel(name = "新建厂房（平方米）")
    private String xjcf;

    /** 厂房投入（万元） */
    @Excel(name = "厂房投入（万元）")
    private String cftr;

    /** 设备清单（万元） */
    @Excel(name = "设备清单（万元）")
    private String sbqd;

    /** 设备发票（万元） */
    @Excel(name = "设备发票（万元）")
    private String sbfp;

    /** 设备合同（万元） */
    @Excel(name = "设备合同（万元）")
    private String sbht;

    /** 付款凭证（万元） */
    @Excel(name = "付款凭证（万元）")
    private String fkpz;

    /** 租赁厂房（平方米） */
    @Excel(name = "租赁厂房（平方米）")
    private String zlcf;

    /** 租赁厂房投入（万元） */
    @Excel(name = "租赁厂房投入（万元）")
    private String zlcftr;

    /** 租赁设备清单（万元） */
    @Excel(name = "租赁设备清单（万元）")
    private String zlsbqd;

    /** 租赁设备发票（万元） */
    @Excel(name = "租赁设备发票（万元）")
    private String zlsbfp;

    /** 租赁设备合同（万元） */
    @Excel(name = "租赁设备合同（万元）")
    private String zlsbht;

    /** 租赁付款凭证（万元） */
    @Excel(name = "租赁付款凭证（万元）")
    private String zlfkpz;

    /** 实缴税收（万元） */
    @Excel(name = "实缴税收（万元）")
    private String sjss;

    /** 连续几个月 */
    @Excel(name = "连续几个月")
    private String lxy;

    /** 缴纳社保人数 */
    @Excel(name = "缴纳社保人数")
    private String jnsb;

    /** 装备投入（万元） */
    @Excel(name = "装备投入(万元)")
    private String zbtr;

    /** 会计年度实缴税收（万元） */
    @Excel(name = "会计年度实缴税收(万元)")
    private String ndsjss;

    /** 其他 */
    @Excel(name = "其他")
    private String qt;

    /** 附件集合 */
    private List<ZsyzFj> zsyzFjList;
    /**
     * 存在问题
     */
    private String czwt;

    public String getCzwt() {
        return czwt;
    }

    public void setCzwt(String czwt) {
        this.czwt = czwt;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setTcrq(Date tcrq) 
    {
        this.tcrq = tcrq;
    }

    public Date getTcrq() 
    {
        return tcrq;
    }
    public void setRgsj(Date rgsj) 
    {
        this.rgsj = rgsj;
    }

    public Date getRgsj() 
    {
        return rgsj;
    }
    public void setNrgsj(Date nrgsj) 
    {
        this.nrgsj = nrgsj;
    }

    public Date getNrgsj() 
    {
        return nrgsj;
    }
    public void setTcgjrsjh(String tcgjrsjh) 
    {
        this.tcgjrsjh = tcgjrsjh;
    }

    public String getTcgjrsjh() 
    {
        return tcgjrsjh;
    }
    public void setSjdze(String sjdze) 
    {
        this.sjdze = sjdze;
    }

    public String getSjdze() 
    {
        return sjdze;
    }
    public void setYdmj(String ydmj) 
    {
        this.ydmj = ydmj;
    }

    public String getYdmj() 
    {
        return ydmj;
    }
    public void setTdcr(String tdcr) 
    {
        this.tdcr = tdcr;
    }

    public String getTdcr() 
    {
        return tdcr;
    }
    public void setXjcf(String xjcf) 
    {
        this.xjcf = xjcf;
    }

    public String getXjcf() 
    {
        return xjcf;
    }
    public void setCftr(String cftr) 
    {
        this.cftr = cftr;
    }

    public String getCftr() 
    {
        return cftr;
    }
    public void setSbqd(String sbqd) 
    {
        this.sbqd = sbqd;
    }

    public String getSbqd() 
    {
        return sbqd;
    }
    public void setSbfp(String sbfp) 
    {
        this.sbfp = sbfp;
    }

    public String getSbfp() 
    {
        return sbfp;
    }
    public void setSbht(String sbht) 
    {
        this.sbht = sbht;
    }

    public String getSbht() 
    {
        return sbht;
    }
    public void setFkpz(String fkpz) 
    {
        this.fkpz = fkpz;
    }

    public String getFkpz() 
    {
        return fkpz;
    }
    public void setZlcf(String zlcf) 
    {
        this.zlcf = zlcf;
    }

    public String getZlcf() 
    {
        return zlcf;
    }
    public void setZlcftr(String zlcftr) 
    {
        this.zlcftr = zlcftr;
    }

    public String getZlcftr() 
    {
        return zlcftr;
    }
    public void setZlsbqd(String zlsbqd) 
    {
        this.zlsbqd = zlsbqd;
    }

    public String getZlsbqd() 
    {
        return zlsbqd;
    }
    public void setZlsbfp(String zlsbfp) 
    {
        this.zlsbfp = zlsbfp;
    }

    public String getZlsbfp() 
    {
        return zlsbfp;
    }
    public void setZlsbht(String zlsbht) 
    {
        this.zlsbht = zlsbht;
    }

    public String getZlsbht() 
    {
        return zlsbht;
    }
    public void setZlfkpz(String zlfkpz) 
    {
        this.zlfkpz = zlfkpz;
    }

    public String getZlfkpz() 
    {
        return zlfkpz;
    }
    public void setSjss(String sjss) 
    {
        this.sjss = sjss;
    }

    public String getSjss() 
    {
        return sjss;
    }
    public void setLxy(String lxy) 
    {
        this.lxy = lxy;
    }

    public String getLxy() 
    {
        return lxy;
    }
    public void setJnsb(String jnsb) 
    {
        this.jnsb = jnsb;
    }

    public String getJnsb() 
    {
        return jnsb;
    }
    public void setZbtr(String zbtr) 
    {
        this.zbtr = zbtr;
    }

    public String getZbtr() 
    {
        return zbtr;
    }
    public void setNdsjss(String ndsjss) 
    {
        this.ndsjss = ndsjss;
    }

    public String getNdsjss() 
    {
        return ndsjss;
    }
    public void setQt(String qt) 
    {
        this.qt = qt;
    }

    public String getQt() 
    {
        return qt;
    }

    public List<ZsyzFj> getZsyzFjList() {
        return zsyzFjList;
    }

    public void setZsyzFjList(List<ZsyzFj> zsyzFjList) {
        this.zsyzFjList = zsyzFjList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("tcrq", getTcrq())
            .append("rgsj", getRgsj())
            .append("nrgsj", getNrgsj())
            .append("tcgjrsjh", getTcgjrsjh())
            .append("sjdze", getSjdze())
            .append("ydmj", getYdmj())
            .append("tdcr", getTdcr())
            .append("xjcf", getXjcf())
            .append("cftr", getCftr())
            .append("sbqd", getSbqd())
            .append("sbfp", getSbfp())
            .append("sbht", getSbht())
            .append("fkpz", getFkpz())
            .append("zlcf", getZlcf())
            .append("zlcftr", getZlcftr())
            .append("zlsbqd", getZlsbqd())
            .append("zlsbfp", getZlsbfp())
            .append("zlsbht", getZlsbht())
            .append("zlfkpz", getZlfkpz())
            .append("sjss", getSjss())
            .append("lxy", getLxy())
            .append("jnsb", getJnsb())
            .append("zbtr", getZbtr())
            .append("ndsjss", getNdsjss())
            .append("qt", getQt())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("xmxsmc", getXmxsmc())
            .toString();
    }
}
